%define __provides_exclude_from ^%{_libdir}/apulse/.*.so.*$
%{!?cmake_build:%global cmake_build %make_build}
%{!?%cmake_install:%global cmake_install %make_install -C build}

Name:		apulse
Version:	0.1.13
Release:	%mkrel 3
Summary:	PulseAudio emulation for ALSA
License:	MIT and LGPL-2.1+
Group:		System/Libraries
URL:		https://github.com/i-rinat/apulse
Source:		https://github.com/i-rinat/apulse/archive/v%{version}.tar.gz
BuildRequires:	gcc-c++
BuildRequires:	cmake >= 2.8.8
BuildRequires:	glib2-devel
BuildRequires:	pkgconfig(alsa)

%description
The program provides an alternative partial implementation of the
PulseAudio API.

It consists of a wrapper script and a number of shared libraries with
the same names as from original PulseAudio, so applications could
dynamically load them and think they are talking to
PulseAudio. Internally, no separate sound mixing daemon is used.

%prep
%setup -q
%autopatch -p1

%build
%cmake \
	-DAPULSEPATH:PATH=%{_libdir}/%{name} \
	-DAPULSE_SEARCH_PATHS:PATH=%{_libdir}/%{name} \
	-DUSE_BUNDLED_PULSEAUDIO_HEADERS:BOOL=ON
%cmake_build

%install
%cmake_install

ln -sf libpulsecommon-5.0.so \
    %{buildroot}%{_libdir}/%{name}/libpulsecommon-4.0.so

%files
%doc LICENSE.MIT README*
%{_bindir}/*
%{_libdir}/*
%{_mandir}/man1/*


%changelog
* Wed Feb 01 2023 ghibo <ghibo> 0.1.13-3.mga9
+ Revision: 1937329
- Rebuild for aging

* Sat Mar 19 2022 umeabot <umeabot> 0.1.13-2.mga9
+ Revision: 1799494
- Mageia 9 Mass Rebuild

* Tue May 12 2020 ghibo <ghibo> 0.1.13-1.mga8
+ Revision: 1583418
- Update to release 0.1.13.
- Removed Patch1, merged upstream.

* Wed Feb 12 2020 umeabot <umeabot> 3.mga8-current
+ Revision: 1508904
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Fri Sep 21 2018 umeabot <umeabot> 0.1.10-2.mga7
+ Revision: 1294476
- Mageia 7 Mass Rebuild

* Tue Apr 25 2017 ghibo <ghibo> 0.1.10-1.mga6
+ Revision: 1097321
- Bump release.
- imported package apulse


* Tue Apr 25 2017 Giuseppe Ghibò - - 0.1.10-0.mga6
- Initial release based on OpenSUSE spec file.
